import com.digitalsanctum.webdsl.component.Page;
import com.digitalsanctum.webdsl.component.Paragraph;
import com.digitalsanctum.webdsl.util.ComponentWriter;

import java.io.IOException;

/**
 * Created by IntelliJ IDEA.
 *
 * @author shane
 * @since Jul 30, 2010 11:06:00 AM
 */
public class Main {
    public static void main(String[] args) throws IOException {
        Page p = new Page("some title")
                .addMeta("http-equiv:Content-Type", "content:text/html; charset=utf-8")
                .addMeta("name:author", "content:Shane Witbeck")
                .addStylesheet("http://yahoo.com/blah.css")
                .addJavaScript("src:../scripts/myscript.js")
                .addDiv(null, "id:wam")
                .addDiv("content", "id:bam")
                .addP("some paragraph", "class:someclass")
                .addAnchor(new Paragraph().addAttribute("id", "linkwrap"), "Google", "href:http://google.com");


        new Website("digital sanctum")
                .setWriter(new ComponentWriter())
                .addPage(p)
                .generate("/Users/shane/projects/webdsl/site");
    }
}
