package com.digitalsanctum.webdsl.component;

/**
 * Created by IntelliJ IDEA.
 *
 * @author shane
 * @since Jul 30, 2010 10:45:21 AM
 */
public class Body extends Component {
  public Tag getTag() {
    return Tag.BODY;
  }

  public Body addP(String body) {
    addChild(new Paragraph().setBody(body));
    return this;
  }

  public Body addP(String body, String... attributes) {
    addChild(new Paragraph().setBody(body).withAttributes(attributes));
    return this;
  }

  public Body addDiv(String body) {
    addChild(new Div().setBody(body));
    return this;
  }

  public Body addDiv(String body, String... attributes) {
    addChild(new Div().setBody(body).withAttributes(attributes));
    return this;
  }

  public Body addDiv(String... attributes) {
    addChild(new Div().withAttributes(attributes));
    return this;
  }

  public Body addAnchor(String title, String... attributes) {
    addChild(new Anchor().setBody(title).withAttributes(attributes));
    return this;
  }
}
